Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517999 - [DOCS] firewalld documentation needed
Summary: [DOCS] firewalld documentation needed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Meng Bo
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 21:15 UTC by jolee
Modified: 2018-09-06 21:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 12:15:39 UTC


Attachments (Terms of Use)

Description jolee 2017-11-27 21:15:14 UTC
Document URL: https://docs.openshift.com/container-platform/3.6/admin_guide

Section Number and Name: /router.html#admin-guide-router-view-stats

Describe the issue: 

   firewalld is not the recommendation per https://docs.openshift.com/container-platform/3.6/install_config/install/advanced_install.html#advanced-install-configuring-firewalls.  Directions specific to iptables should be supplemented (or replaced) with firewalld specific examples.

Suggestions for improvement: 

   Add specifics relating to firewalld

Additional information:

Comment 2 Gaurav Nelson 2018-08-20 03:05:32 UTC
Hello John,

Can you confirm if this is still a bug?

According to the current docs the note says `firewalld IS recommended for new installations` and instructions does include how to set Ansible variable to use firewalld.


Note You need to log in before you can comment on or make changes to this bug.